SDL_HINT_JOYSTICK_HIDAPI_PS5_RUMBLE(3)

NAME
SDL_HINT_JOYSTICK_HIDAPI_PS5_RUMBLE - A variable controlling whether extended input reports should be used for PS5 controllers when using the HIDAPI driver.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_JOYSTICK_HIDAPI_PS5_RUMBLE SDL_JOYSTICK_HIDAPI_PS5_RUMBLE"

DESCRIPTION
The variable can be set to the following values: • "0": extended reports are not enabled. (default) • "1": extended reports. Extended input reports allow rumble on Bluetooth PS5 controllers, but break DirectInput handling for applications that don't use SDL. Once extended reports are enabled, they can not be disabled without power cycling the controller. For compatibility with applications written for versions of SDL prior to the introduction of PS5 controller support, this value defaults to the value of SDL_HINT_JOYSTICK_HIDAPI_PS4_RUMBLE . This hint can be enabled anytime.

AVAILABILITY
This hint is available since SDL 3.0.0.